petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESMonitorSAWs

monitor solution using SAWs

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMonitorSAWs(SNES snes,PetscInt n,PetscReal rnorm,void *ctx)

Logically Collective on SNES Many br

### Input Parameters

| snes | - iterative context Many br
| n | - iteration number Many br
| rnorm | - 2-norm (preconditioned) residual value (may be estimated). Many br
| ctx | - PetscViewer of type SAWs Many br

Many br

### Keywords

SNES, monitor, SAWs

### See Also

PetscViewerSAWsOpen()

Level:advanced
Location:src/snes/interface/saws/snessaws.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages